# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate openssl

Name:           rust-%{crate}
Version:        0.10.20
Release:        1%{?dist}
Summary:        OpenSSL bindings

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/openssl
Source:         %{crates_source}
# Initial patched metadata
# * No "vendored" feature
Patch0:         openssl-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bitflags/default) >= 1.0.0 with crate(bitflags/default) < 2.0.0)
BuildRequires:  (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
BuildRequires:  (crate(foreign-types/default) >= 0.3.1 with crate(foreign-types/default) < 0.4.0)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(openssl-sys/default) >= 0.9.43 with crate(openssl-sys/default) < 0.10.0)
%if %{with check}
BuildRequires:  (crate(hex/default) >= 0.3.0 with crate(hex/default) < 0.4.0)
BuildRequires:  (crate(tempdir/default) >= 0.3.0 with crate(tempdir/default) < 0.4.0)
%endif

%global _description \
OpenSSL bindings.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v101-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v101-devel %{_description}

This package contains library source intended for building other packages
which use "v101" feature of "%{crate}" crate.

%files       -n %{name}+v101-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v102-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v102-devel %{_description}

This package contains library source intended for building other packages
which use "v102" feature of "%{crate}" crate.

%files       -n %{name}+v102-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v110-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v110-devel %{_description}

This package contains library source intended for building other packages
which use "v110" feature of "%{crate}" crate.

%files       -n %{name}+v110-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+v111-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v111-devel %{_description}

This package contains library source intended for building other packages
which use "v111" feature of "%{crate}" crate.

%files       -n %{name}+v111-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.10.20-1
- Update to 0.10.20

* Fri Mar 01 2019 Josh Stone <jistone@redhat.com> - 0.10.19-1
- Update to 0.10.19

* Fri Feb 22 2019 Josh Stone <jistone@redhat.com> - 0.10.18-1
- Update to 0.10.18

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.10.16-1
- Update to 0.10.16

* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 0.10.15-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.10.15-1
- Update to 0.10.15

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.10.12-1
- Update to 0.10.12

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.10.11-1
- Update to 0.10.11

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.10-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.10-1
- Update to 0.10.10

* Tue Jun 05 2018 Josh Stone <jistone@redhat.com> - 0.10.9-1
- Update to 0.10.9

* Tue May 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.8-1
- Update to 0.10.8

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.10.7-1
- Update to 0.10.7

* Fri Apr 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.6-1
- Update to 0.10.6

* Thu Mar 01 2018 Josh Stone <jistone@redhat.com> - 0.10.5-1
- Update to 0.10.5

* Mon Feb 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-2
- Rebuild for rust-packaging v5

* Thu Dec 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-1
- Update to 0.9.23

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-2
- Bump lazy_static to 1

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-1
- Update to 0.9.22

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.21-1
- Update to 0.9.21

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-1
- Initial package
